Summary: The OpenLook Graphics for X11 library is an X11 drawing engine.
Name: olgx
Version: 1
Release: 1
Copyright: GPL
Vendor: Lars Christensen
packager: Andy C. Brandt <andy@uranos.eu.org>
Group: Development/Libraries
Source: http://www.cs.auc.dk/~larsch/olvwm/olgx-hacked-1.tar.gz
Prefix: %{_prefix}
Buildroot: %{_tmppath}/%{name}-root
Provides: olgx

%description
The olgx (OpenLook Graphics for X11) library is currently used by olwm
(OpenLook Window Manager) and will be used by the XView library in
a future release.  Olgx is an X11 drawing engine for 2-D and 3-D objects
which is based upon xlib rather than a toolkit.  

It has to be installed before olwm or olvwm can be installed.

This version comes from http://www.cs.auc.dk/~larsch/olvwm/

%prep
%setup -n olgx-hacked-1

%build
make

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/lib
install -d $RPM_BUILD_ROOT/usr/include/olgx
install libolgx.a $RPM_BUILD_ROOT/lib
install olgx.h $RPM_BUILD_ROOT/usr/include/olgx

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/lib/libolgx.a
/usr/include/olgx/olgx.h

%changelog
* Thu Aug 24 2000 Andy C. Brandt <andy@uranos.eu.org>
- created this package from sources

